Madhur Madhur - 25 days ago 9
Android Question

How to setup google map in react native ? facing errors

Hey i am going to install google maps in react native by following commands

npm install react-native-maps --save


But it is showing me error down below :

react-native-maps@0.16.2 requires a peer of react-native@>=0.40 but none was installed.


I have follwowing this tutorial

https://www.slideshare.net/kobkrit/reactnative-tutorial-map

Please check thanks in advance..

Answer Source

You're trying to install the newest version of react-native-maps and it's compatible with react-native >= 0.40. Upgrade your react-native or try to install older react-native-maps version. You can do that by running npm install react-native-maps@0.12.2 --save or even older version - check releases.